<?php
require "config.inc.php";
require "ldap.inc.php";
require "actions.inc.php";
require_once ('ipxe_functions.inc.php');

header("Content-type: text/plain");
echo "#!ipxe\n";
$menu_timeout = '10000';
$token = $_POST['token'];
$mac = $_POST['mac'];

$machine = get_action($config, $mac);
$name = $machine['cn'] ?? "";
$ip = $machine['iphostnumber'] ?? "";

echo "params\n";
echo "param token " . $token . "\n";
echo "param mac " . $mac . "\n";

echo "console --x 1024 --y 768 --picture png/clonezilla.png\n";
echo ":menu\n";
echo "menu maintenance pour ${ip}\n";
echo "set menu-default exit\n";
echo "set menu-timeout $menu_timeout\n";

title("Clonezilla");
echo "item  clonezilla_prevert Restauration images sur partimag \n";
echo "item  live32 Utilisation de Clonezilla-livecd 32 bits \n";
echo "item  live64 Utilisation de Clonezilla-livecd 64 bits \n";
echo "item  sav_locale32 Sauvegarde locale (sda1 vers sda2) 32 bits \n";
echo "item  sav_locale64 Sauvegarde locale (sda1 vers sda2) 64 bits \n";
echo "item  rest_locale32 Restauration locale 32 bits (sda2 vers sda1) \n";
echo "item  rest_locale64 Restauration locale 64 bits (sda2 vers sda1) \n";
title("Autres options");
echo "item --key s shell  (s) iPXE shell\n";
echo "item --key r retour (r) Retour au menu precedent\n";
echo "item --key x exit (x) Boot sur disque dur\n";
echo "choose --default \${menu-default} --timeout \${menu-timeout} selected && goto \${selected} || exit 0\n";

echo ":retour\n";
echo "chain --replace --autofree admin.php##params\n";

echo ":shell\n";
echo "echo iPXE shell...\n";
echo "shell\n";

echo ":exit\n";
echo "echo Booting harddisk ...\n";
echo "sanboot --no-describe --drive 0x80\n";

echo ":clonezilla_prevert\n";
echo "param  action rest_prevert\n";
echo "chain --replace --autofree action.php##params\n";

echo ":live32\n";
echo "param  action live32\n";
echo "chain --replace --autofree action.php##params\n";

echo ":live64\n";
echo "param  action live64\n";
echo "chain --replace --autofree action.php##params\n";

echo ":sav_locale64\n";
echo "param  action sav_locale64\n";
echo "chain --replace --autofree action.php##params\n";

echo ":sav_locale32\n";
echo "param  action sav_local32\n";
echo "chain --replace --autofree action.php##params\n";

echo ":rest_locale32\n";
echo "param  action rest_locale32\n";
echo "chain --replace --autofree action.php##params\n";

echo ":rest_locale64\n";
echo "param  action rest_locale64\n";
echo "chain --replace --autofree action.php##params\n";

?>
