<?php
/*
 * Lancement d'une action, passée en POST
 * les actions sont dans actions/
 * il suffit de mettre les commandes ipxe concernant l'action à faire
 */
require "config.inc.php";
require "ldap.inc.php";
require "actions.inc.php";
require_once ('ipxe_functions.inc.php');

header("Content-type: text/plain");
echo "#!ipxe\n";
$menu_timeout = '10000';
echo "console --x 1024 --y 768 --picture png/ipxe-se4.png\n";
$action = $_POST['action'] ?? "default";
$token = $_POST['token'] ?? "";
$mac = $_POST['mac'] ?? "";
$debug = $_POST['debug'] ?? 0;
if (auth_action($config, $mac, $token)) {
    $machine = get_action($config, $mac, $token);
    if (@$machine['action'][$token]['role'] == "clone")
        $script = "rescuecd";
    if (file_exists(__DIR__ . "/actions/" . $action . ".php")) {
        include __DIR__ . "/actions/" . $action . ".php";
    } else {
        set_action($config, $mac, "default", "", $token, "", "default");
        echo boot_disk();
    }
} else {
    echo "params\n";
    echo "param mac " . $mac . "\n";
    echo "param token " . $token . "\n";
    echo "param debug " . $debug . "\n";
    echo "chain --replace --autofree admin.php##params\n";
}
?>
