<?php
require "config.inc.php";
require "ldap.inc.php";
require "actions.inc.php";
require_once ('ipxe_functions.inc.php');

header("Content-type: text/plain");
echo "#!ipxe\n";
$mac = $_POST['mac'] ?? "none";
$url = "http://{$_SERVER["SERVER_ADDR"]}:{$_SERVER["SERVER_PORT"]}/ipxe/";
$header = "menu Preboot eXecution Environment\n";
$menu_timeout = 30000;
$menu_default = $_POST['menu-default'] ?? "installation-windows";
$token = $_POST['token'] ?? "";

if (empty($token) || ($token == "default")) {
    if (! isset($_POST['username']) || ! isset($_POST['password'])) {
        echo "params\n";
        echo "param mac " . $mac . "\n";
        echo "chain --replace --autofree " . $url . "boot.php##params\n";
        exit();
    } else {
        $username = $_POST['username'];
        $password = $_POST['password'];
        $token = login_action($config, $mac, $username, $password);

        if ($token == "") {
            echo "echo Authentication failed!\n";
            echo "params\n";
            echo "param mac " . $mac . "\n";
            echo "chain --replace --autofree " . $url . "boot.php##params\n";
            exit();
        }
    }
}
$machine = search_machine($config, $mac);
if (count($machine) == 0)
    $menu_default = "set-name";
$name = $machine['cn'] ?? "";
$ip = $machine['iphostnumber'] ?? $_SERVER['REMOTE_ADDR'];
$state = $machine['state'] ?? "dhcp";
echo "params\n";
echo "param token " . $token . "\n";
echo "param mac " . $mac . "\n";
echo "param name " . $name . "\n";
// set resolution and background
echo "console --x 1024 --y 768 --picture png/ipxe-se4.png\n";
echo ":menu\n";
echo "menu Preboot eXecution Environment pour mac : $mac ($token)\n";
echo "set menu-default $menu_default\n";
echo "set menu-timeout $menu_timeout\n";

title("Menu");
echo "item --key x exit   (x) Quitter le menu pour demarrer le poste normalement\n";

title("Enregistrement du poste");
echo "item --key n set-name  (n) Donner un nom au poste : $name\n";
if (count($machine) > 0) {
    echo "item --key d dhcp  (d) Reserver une IP : $ip  : " . $state . "\n";
    echo "item --key p parcs (p) Ajouter a un parc\n";
}
title("Maintenance du poste");
echo "item --key m maintenance  (m) Outils de maintenance (syrescuecd,clonezilla,etc...)\n";
if (count($machine) > 0) {
    title("Clonage");
    echo "item --key c clonage  (c) Clonage en direct des postes \n";
    title("Installation");
    echo "item --key i installation-windows  (i) Installation automatique de Windows 10\n";
    echo "item --key l installation-linux  (l) Installation de Linux Debian et Ubuntu\n";
}
title("Autres options");
echo "item --key s shell  (s) iPXE shell\n";

echo "choose --default \${menu-default} --timeout \${menu-timeout} selected && goto \${selected} || exit 0\n";

echo ":shell\n";
echo "echo iPXE shell...\n";
echo "shell\n";

echo ":exit\n";
echo "echo Booting harddisk ...\n";
echo "sanboot --no-describe --drive 0x80\n";

echo ":maintenance\n";
echo "chain --replace --autofree  " . $url . "maintenance.php##params\n";

echo ":parcs\n";
echo "chain --replace --autofree  " . $url . "parcs.php##params\n";

echo ":set-name\n";
echo "chain --replace --autofree  " . $url . "enregistrement.php##params\n";

echo ":dhcp\n";
echo "chain --replace --autofree  " . $url . "reservation.php##params\n";

echo ":clonage\n";
echo "chain --replace --autofree  " . $url . "clonage.php##params\n";

echo ":installation-windows\n";
echo "chain --replace --autofree " . $url . "installation-windows.php##params\n";

echo ":installation-linux\n";
echo "chain --replace --autofree " . $url . "installation-linux.php##params\n";

echo ":back\n";
echo "chain --replace --autofree " . $url . "boot.php##params\n";

?>
