<?php
require "config.inc.php";
require "ldap.inc.php";
require "actions.inc.php";
require_once ('ipxe_functions.inc.php');

header("Content-type: text/plain");
echo "#!ipxe\n";
$menu_timeout = '10000';
$token = $_POST['token'] ?? "";
$mac = $_POST['mac'] ?? "";

$machine = get_action($config, $mac);
$name = $machine['cn'] ?? "";
$ip = $machine['iphostnumber'] ?? "";

echo "params\n";
echo "param token " . $token . "\n";
echo "param mac " . $mac . "\n";

echo "console --x 1024 --y 768 --picture png/linux2.png\n";
echo ":menu\n";
echo "menu installation clients-linux pour (nom : $name ip : ${ip})\n";
echo "set menu-default exit\n";
echo "set menu-timeout $menu_timeout\n";

title("DEBIAN STRETCH SIMPLE BOOT");
echo "item  debian Installation de Debian automatisée\n";
/*echo "item  deb_lxde64  Installation de Debian LXDE 64 bits \n";
echo "item  deb_lxde32  Installation de Debian LXDE 32 bits \n";
echo "item  deb_xfce64  Installation de Debian XFCE 64 bits \n";
echo "item  deb_xfce32  Installation de Debian XFCE 32 bits \n";
echo "item  deb_gnome64_sboot Installation de Debian GNOME 64 bits simple boot \n";
echo "item  deb_gnome32_sboot Installation de Debian GNOME 32 bits simple boot \n";
title("DEBIAN STRETCH DUAL BOOT");
echo "item  deb_lxde64_dboot  Installation de Debian LXDE 64 bits dual boot \n";
echo "item  deb_lxde32_dboot  Installation de Debian LXDE 32 bits dual boot \n";
echo "item  deb_xfce64_dboot  Installation de Debian XFCE 64 bits dual boot \n";
echo "item  deb_xfce32_dboot  Installation de Debian XFCE 32 bits dual boot \n";
echo "item  deb_gnome64_dboot Installation de Debian GNOME 64 bits dual boot \n";
echo "item  deb_gnome32_dboot Installation de Debian GNOME 32 bits dual boot \n";
title("UBUNTU XENIAL");
echo "item  ubuntu32  Installation de Xenial gnome 32 bits \n";
echo "item  ubuntu64  Installation de Xenial gnome 64 bits \n";
echo "item  xubuntu32  Installation de Xenial XFCE 32 bits \n";
echo "item  xubuntu64  Installation de Xenial XFCE 64 bits \n";
echo "item  lubuntu32 Installation de Xenial LXDE  32 bits \n";
echo "item  lubuntu64 Installation de Xenial LXDE  64 bits \n";
echo "item  mubuntu32 Installation de Xenial MATE  32 bits \n";
echo "item  mubuntu64 Installation de Xenial MATE  64 bits \n";
title("UBUNTU XENIAL DUAL BOOT");
echo "item  ubuntu32_dboot  Installation de Xenial gnome 32 bits dual boot\n";
echo "item  ubuntu64_dboot  Installation de Xenial gnome 64 bits dual boot\n";
echo "item  xubuntu32_dboot  Installation de Xenial XFCE 32 bits dual boot\n";
echo "item  xubuntu64_dboot  Installation de Xenial XFCE 64 bits dual boot\n";
echo "item  lubuntu32_dboot Installation de Xenial LXDE  32 bits dual boot\n";
echo "item  lubuntu64_dboot Installation de Xenial LXDE  64 bits dual boot\n";
echo "item  mubuntu32_dboot Installation de Xenial MATE  32 bits dual boot\n";
echo "item  mubuntu64_dboot Installation de Xenial MATE  64 bits dual boot\n";
*/
title("Autres options");
echo "item --key s shell  (s) iPXE shell\n";
echo "item --key r retour (r) Retour au menu precedent\n";
echo "item --key x exit (x) Boot sur disque dur\n";
echo "choose --default \${menu-default} --timeout \${menu-timeout} selected && goto \${selected} || exit 0\n";

echo ":shell\n";
echo "echo iPXE shell...\n";
echo "shell\n";

echo ":exit\n";
echo "echo Booting harddisk ...\n";
echo "sanboot --no-describe --drive 0x80\n";

echo ":retour\n";
echo "echo Retour au menu précédent ...\n";
echo "chain --replace admin.php##params\n";

echo ":debian\n";
echo "param  action debian\n";
echo "chain --replace --autofree action.php##params\n";

/*
echo ":deb_lxde64\n";
echo "param  action deb_lxde64\n";
echo "chain --replace --autofree action.php##params\n";

echo ":deb_lxde32\n";
echo "param  action deb_lxde32\n";
echo "chain --replace --autofree action.php##params\n";

echo ":deb_lxde64_dboot\n";
echo "param  action deb_lxde64_dboot\n";
echo "chain --replace --autofree action.php##params\n";

echo ":deb_lxde32_dboot\n";
echo "param  action deb_lxde32_dboot\n";
echo "chain --replace --autofree action.php##params\n";

echo ":deb_xfce64\n";
echo "param  action deb_xfce64\n";
echo "chain --replace --autofree action.php##params\n";

echo ":deb_xfce32\n";
echo "param  action deb_xfce32\n";
echo "chain --replace --autofree action.php##params\n";

echo ":deb_xfce64_dboot\n";
echo "param  action deb_xfce64_dboot\n";
echo "chain --replace --autofree action.php##params\n";

echo ":deb_xfce32_dboot\n";
echo "param  action deb_xfce32_dboot\n";
echo "chain --replace --autofree action.php##params\n";

echo ":deb_gnome64_sboot\n";
echo "param  action deb_gnome64_sboot\n";
echo "chain --replace --autofree action.php##params\n";

echo ":deb_gnome32_sboot\n";
echo "param  action deb_gnome32_sboot\n";
echo "chain --replace --autofree action.php##params\n";

echo ":deb_gnome64_dboot\n";
echo "param  action deb_gnome64_dboot\n";
echo "chain --replace --autofree action.php##params\n";

echo ":deb_gnome32_dboot\n";
echo "param  action deb_gnome32_dboot\n";
echo "chain --replace --autofree action.php##params\n";

echo ":ubuntu32\n";
echo "param  action ubuntu32\n";
echo "chain --replace --autofree action.php##params\n";

echo ":ubuntu64\n";
echo "param  action ubuntu64\n";
echo "chain --replace --autofree action.php##params\n";

echo ":ubuntu32_dboot\n";
echo "param  action ubuntu32_dboot\n";
echo "chain --replace --autofree action.php##params\n";

echo ":ubuntu64_dboot\n";
echo "param  action ubuntu64_dboot\n";
echo "chain --replace --autofree action.php##params\n";

echo ":lubuntu32\n";
echo "param  action lubuntu32\n";
echo "chain --replace --autofree action.php##params\n";

echo ":lubuntu64\n";
echo "param  action lubuntu64\n";
echo "chain --replace --autofree action.php##params\n";

echo ":lubuntu32_dboot\n";
echo "param  action lubuntu32_dboot\n";
echo "chain --replace --autofree action.php##params\n";

echo ":lubuntu64_dboot\n";
echo "param  action lubuntu64_dboot\n";
echo "chain --replace --autofree action.php##params\n";

echo ":xubuntu32\n";
echo "param  action xubuntu32\n";
echo "chain --replace --autofree action.php##params\n";

echo ":xubuntu64\n";
echo "param  action xubuntu64\n";
echo "chain --replace --autofree action.php##params\n";

echo ":xubuntu32_dboot\n";
echo "param  action xubuntu32_dboot\n";
echo "chain --replace --autofree action.php##params\n";

echo ":xubuntu64_dboot\n";
echo "param  action xubuntu64_dboot\n";
echo "chain --replace --autofree action.php##params\n";

echo ":mubuntu32\n";
echo "param  action mubuntu32\n";
echo "chain --replace --autofree action.php##params\n";

echo ":mubuntu64\n";
echo "param  action mubuntu64\n";
echo "chain --replace --autofree action.php##params\n";

echo ":mubuntu32_dboot\n";
echo "param  action mubuntu32_dboot\n";
echo "chain --replace --autofree action.php##params\n";

echo ":mubuntu64_dboot\n";
echo "param  action mubuntu64_dboot\n";
echo "chain --replace --autofree action.php##params\n";
*/
?>
