<?php
/*
 * reservation de l'ip de la machine, et enregistrement dans l'annuaire AD
 */
require "config.inc.php";
require "ldap.inc.php";
require "actions.inc.php";
require 'ipxe_functions.inc.php';
require "dhcpd.inc.php";
require_once "fonc_parc.inc.php";

header("Content-type: text/plain");
echo "#!ipxe\n";
$menu_timeout = '10000';
echo "dhcp\n";
echo "console --x 1024 --y 768 --picture png/ipxe-se4.png\n";

$ip = $_SERVER['REMOTE_ADDR'];
$name = $_POST['name'] ?? "";
$token = $_POST['token'];
$mac = $_POST['mac'];
if (auth_action($config, $mac, $token)) {
    $machine = search_machine($config, $mac);
    if (isset($machine['state'])) {
        if ($machine['state'] != "reservation") {
            if (! isset($_POST['newip'])) {
 //               $newip = get_free_ip($config, $ip);
                echo "set newip " . $ip . "\n";
                echo "echo -n Adresse ip actuelle : " . $ip . " , ip a reserver : \n";
                echo "read newip\n";
                echo "params\n";
                echo "param token " . $token . "\n";
                echo "param mac " . $mac . "\n";
                echo "param name " . $machine['cn'] . "\n";
                echo "param newip \${newip}\n";
                echo "chain --replace --autofree " . $script_url . "/reservation.php##params\n";
            } else {
                $ip = $_POST['newip'];
                set_dhcp_reservation($config, $name, $ip);
                echo "params\n";
                echo "param token " . $token . "\n";
                echo "param mac " . $mac . "\n";
                echo "chain --replace --autofree " . $script_url . "/reservation.php##params\n";
            }
        } else {
            echo "echo IP reservee\n";
            echo "sleep 3\n";
            echo "params\n";
            echo "param token " . $token . "\n";
            echo "param mac " . $mac . "\n";
            echo "param menu-default parcs\n";
            echo "chain --replace --autofree admin.php##params\n";
        }
    }
} else {
    echo "params\n";
    echo "param mac " . $mac . "\n";
    echo "param token " . $token . "\n";
    echo "chain --replace --autofree admin.php##params\n";
}
?>
